cURL
curl https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/allocation-history-chart
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/allocation-history-chart", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/allocation-history-chart");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"timestamp": "2026-10-07T15:32:24+00:00",
"protocolName": "Instant Liquidity",
"aum": 24389.550296629,
"aumProportion": 0.6346367232249532
},
{
"timestamp": "2026-10-07T15:32:24+00:00",
"protocolName": "Non-allocated Liquidity",
"aum": 2e-09,
"aumProportion": 5.2041691257642385e-14
}
]
{
"error": "<message>"
}
History
Strategy vault allocation history
Retrieve historical AUM grouped by protocol.
GET
/
strategies
/
managed
/
{address}
/
allocation-history-chart
cURL
curl https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/allocation-history-chart
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/allocation-history-chart", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/allocation-history-chart");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"timestamp": "2026-10-07T15:32:24+00:00",
"protocolName": "Instant Liquidity",
"aum": 24389.550296629,
"aumProportion": 0.6346367232249532
},
{
"timestamp": "2026-10-07T15:32:24+00:00",
"protocolName": "Non-allocated Liquidity",
"aum": 2e-09,
"aumProportion": 5.2041691257642385e-14
}
]
{
"error": "<message>"
}
Path parameters
string
required
Solana account address.
Query parameters
number
Lookback in seconds. Default:
604800 (seven days).cURL
curl https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/allocation-history-chart
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/allocation-history-chart", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/allocation-history-chart");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"timestamp": "2026-10-07T15:32:24+00:00",
"protocolName": "Instant Liquidity",
"aum": 24389.550296629,
"aumProportion": 0.6346367232249532
},
{
"timestamp": "2026-10-07T15:32:24+00:00",
"protocolName": "Non-allocated Liquidity",
"aum": 2e-09,
"aumProportion": 5.2041691257642385e-14
}
]
{
"error": "<message>"
}